Architektura Rovina řezu

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SectionPlane and the translation is 25% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch Window.svg Window

Arch SectionPlane.svg Arch SectionPlane

Umístění Menu
Arch → Section Plane
Pracovní stoly
Arch
Výchozí zástupce
S P
Představen ve verzi
-
Viz také
Nikdo


Popis

Tento nástroj umístí do aktuálního dokumentu pomůcku Rovina řezu, která definuje rovinu řezu nebo pohledu. Tato pomůcka může být přemístěna a přeorientována pomocí posunování a otáčení tak, abyste získali 2D pohled, který chcete získat. Objekt Rovina řezu bere ohled pouze na objekty, které byly vybrány v době jeho vytvoření. Objekty mohou být později přidávány do nebo odebírány z objektu Rovina řezu pomocí nástrojů Přidat a Odebrat.

Po vytvoření objekt Rovina řezu také vkládá pohled sama sebe do aktivní Vykreslovací stránky nebo vytváří novou stránku, pokud žádná neexistuje. Můžete také přidat pohled Roviny řezu přímo do dokumentu použitím nástroje 2D kreslení s vybranou rovinou řezu.

Arch SectionPlane example.jpg

Použití

  1. Vyberte objekty které chcete zahrnout do roviny pohledu
  2. Stiskněte tlačítko Arch SectionPlane.png Rovina řezu nebo stiskněte klávesy S a P
  3. Posun/otočení nastaví rovinu řezu do požadované pozice
  4. Stiskněte tlačítko Std Recompute.png Přepočítat pro aktualizaci pohledu

Volby

  • The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • S vybraným objektem Rovina řezu použijte nástroj 2D kreslení k vytvoření tvaru reprezentujícího pohled řezu v dokumentu

Arch Section example2.jpg

  • Vytvořit další pohledy z roviny řezu lze po jeho vybrání udělat použitím nástroje Kreslení

Arch Section example3.jpg

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Arch SectionPlane CutView.jpg

Vlastnosti

  • VIEWRozměr zobrazení: Velikost pomůcky Rovina řezu ve 3D pohledu

Arch SectionPlane ClipView.png

The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.


Skriptování

Nástroj Rovina řezu může být využit v makrech a z konzoly Pythonu použitím následující funkce:

Section = makeSectionPlane(objectslist=None, name="Section")
Vytvoří objekt Rovina řezu zahrnující zadané objekty.

Příklad:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()